Bug 79766 - Inconsistent wording in Asian Layout Kerning options.
Summary: Inconsistent wording in Asian Layout Kerning options.
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
4.2.0.4 release
Hardware: All All
: medium trivial
Assignee: Takeshi Abe
QA Contact:
URL:
Whiteboard: target:5.4.0
Keywords:
Depends on:
Blocks: CJK
  Show dependency treegraph
 
Reported: 2014-06-07 11:19 UTC by Stefan Knorr (astron)
Modified: 2017-05-01 19:57 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Knorr (astron) 2014-06-07 11:19:03 UTC
To reproduce in LibreOffice 4.2,
1. Open LibreOffice
2. Go to Tools > Options,
3. Open the page Language Settings/Languages.
4. If under Default Languages for Documents, the option Asian is disabled,
   enable it. If it is already enabled, continue with step 7.
5. Close the options by clicking OK.
6. Go to Tools > Options again.
7. Open the page Language Settings/Asian Layout.
8. Look for the two options under Kerning:
   + the first one uses the phrase "Western characters"
   + the second one uses "Western text"
   > This is inconsistent.

The help entry reads:
  Kerning
    Defines the default settings for kerning between individual characters.

    Western characters only
      Specifies that kerning is only applied to western text.
    Western text and Asian punctuation
      Specifies that kerning is applied to both western text and Asian
      punctuation.

I.e. there does not seem to be a difference in meaning => both options should use the words "Western text".
Comment 1 Owen Genat (retired) 2014-09-29 08:15:29 UTC
Not sure why this report has been unconfirmed for so long. IMO options should read:

- Western text only
- Western text and Asian punctuation

Confirmed. Status set to NEW.
Comment 2 Urmas 2014-09-29 14:21:15 UTC
Is it a clipping issue?
Comment 3 QA Administrators 2015-10-14 19:58:01 UTC Comment hidden (spam)
Comment 4 Buovjaga 2016-01-30 14:53:24 UTC
Confirmed.

Win 7 Pro 64-bit Version: 5.2.0.0.alpha0+
Build ID: 9784ff3d878eaa21491fbd779e57d7d4710f5449
CPU Threads: 4; OS Version: Windows 6.1; UI Render: default; 
TinderBox: Win-x86@39, Branch:master, Time: 2016-01-30_01:31:57
Locale: fi-FI (fi_FI)
Comment 5 Commit Notification 2017-05-01 09:05:46 UTC
Takeshi Abe committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e7e149508a95d684e033786560bb9972ee59e1ad

tdf#79766 Use consistent wording in Asian Layout Kerning option

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2017-05-01 19:57:00 UTC
Adolfo Jayme Barrientos committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/help/commit/?id=bbdcec4b66f4d87a7974927e9abd2d19a4b9557b

tdf#79766 “Western characters” → “Western text” also in Help